###################################################
### chunk number 1: preliminary
###################################################
#line 66 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
options("prompt" = "R> ", "continue" = "+ ")


###################################################
### chunk number 2: 
###################################################
#line 122 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
library("analogue")


###################################################
### chunk number 3: 
###################################################
#line 130 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
data(swapdiat, swappH, rlgh, package = "analogue")


###################################################
### chunk number 4: 
###################################################
#line 145 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
dat <- join(swapdiat, rlgh, verbose = TRUE)


###################################################
### chunk number 5: 
###################################################
#line 155 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
swapdiat <- dat$swapdiat / 100
rlgh <- dat$rlgh / 100


###################################################
### chunk number 6: 
###################################################
#line 162 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
swap.mat <- mat(swapdiat, swappH, method = "SQchord")


###################################################
### chunk number 7: 
###################################################
#line 168 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
swap.mat


###################################################
### chunk number 8: 
###################################################
#line 176 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
summary(swap.mat)


###################################################
### chunk number 9: plot_mat
###################################################
#line 183 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
opar <- par(mfrow = c(2,2))
plot(swap.mat)
par(opar)


###################################################
### chunk number 10: 
###################################################
#line 194 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
getK(swap.mat)


###################################################
### chunk number 11: 
###################################################
#line 202 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
#line 183 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw#from line#202#"
opar <- par(mfrow = c(2,2))
plot(swap.mat)
par(opar)
#line 203 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"


###################################################
### chunk number 12: 
###################################################
#line 214 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
rlgh.mat <- predict(swap.mat, rlgh, k = 10)
rlgh.mat


###################################################
### chunk number 13: plot_recon
###################################################
#line 221 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
reconPlot(rlgh.mat, use.labels = TRUE, ylab = "pH", xlab = "Depth (cm.)")


###################################################
### chunk number 14: 
###################################################
#line 227 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
#line 221 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw#from line#227#"
reconPlot(rlgh.mat, use.labels = TRUE, ylab = "pH", xlab = "Depth (cm.)")
#line 228 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"


###################################################
### chunk number 15: 
###################################################
#line 237 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
rlgh.mdc <- minDC(rlgh.mat)


###################################################
### chunk number 16: plot_minDC
###################################################
#line 243 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
plot(rlgh.mdc, use.labels = TRUE, xlab = "Depth (cm.)")


###################################################
### chunk number 17: 
###################################################
#line 249 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
#line 243 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw#from line#249#"
plot(rlgh.mdc, use.labels = TRUE, xlab = "Depth (cm.)")
#line 250 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"


###################################################
### chunk number 18: 
###################################################
#line 262 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
rlgh.ref <- rlgh[25:37, ]
swap.ana <- analog(swapdiat, rlgh.ref, method = "chord")
swap.ana


###################################################
### chunk number 19: cma
###################################################
#line 272 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
swap.cma <- cma(swap.ana)
swap.cma


###################################################
### chunk number 20: 
###################################################
#line 279 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
cma(swap.ana, cutoff = 0.5)


###################################################
### chunk number 21: plot_cma
###################################################
#line 285 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
plot(swap.cma)


###################################################
### chunk number 22: 
###################################################
#line 294 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
#line 285 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw#from line#294#"
plot(swap.cma)
#line 295 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"


###################################################
### chunk number 23: plot_dissim
###################################################
#line 305 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
plot(dissim(swap.ana))


###################################################
### chunk number 24: 
###################################################
#line 311 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
#line 305 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw#from line#311#"
plot(dissim(swap.ana))
#line 312 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"


###################################################
### chunk number 25: mcarlo
###################################################
#line 323 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
swap.mc <- mcarlo(swap.ana)
swap.mc


###################################################
### chunk number 26: bootstrap
###################################################
#line 341 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
set.seed(1234)
swap.boot <- bootstrap(swap.mat, n.boot = 100)
swap.boot


###################################################
### chunk number 27: rmsep
###################################################
#line 354 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
RMSEP(swap.boot, type = "standard")


###################################################
### chunk number 28: 
###################################################
#line 363 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
getK(swap.boot)
setK(swap.mat) <- getK(swap.boot)


###################################################
### chunk number 29: clust_sites
###################################################
#line 381 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
clust <- hclust(as.dist(swap.mat$Dij), method = "ward") #$
grps <- cutree(clust, k = 12)


###################################################
### chunk number 30: roc
###################################################
#line 386 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
swap.roc <- roc(swap.mat, groups = grps)
swap.roc


###################################################
### chunk number 31: plot_roc
###################################################
#line 395 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
opar <- par(mfrow = c(2,2))
plot(swap.roc)
par(opar)


###################################################
### chunk number 32: 
###################################################
#line 404 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
#line 395 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw#from line#404#"
opar <- par(mfrow = c(2,2))
plot(swap.roc)
par(opar)
#line 405 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"


###################################################
### chunk number 33: 
###################################################
#line 473 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
dists1 <- distance(swapdiat, method = "bray")
dists2 <- distance(swapdiat, rlgh, method = "bray")


###################################################
### chunk number 34: sample_specific
###################################################
#line 491 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
set.seed(1234)
rlgh.boot <- predict(swap.mat, rlgh, bootstrap = TRUE, n.boot = 100)
reconPlot(rlgh.boot, use.labels = TRUE, ylab = "pH", xlab = "Depth (cm.)",
          display.error = "bars", predictions = "bootstrap")


###################################################
### chunk number 35: 
###################################################
#line 502 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
reconPlot(rlgh.boot, use.labels = TRUE, ylab = "pH", xlab = "Depth (cm.)",
          display.error = "bars", predictions = "bootstrap")


###################################################
### chunk number 36: 
###################################################
#line 514 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
set.seed(1234)
want <- sample(1:nrow(swapdiat), 67, replace = FALSE)
train <- swapdiat[-want, ]
train.env <- swappH[-want]
test <- swapdiat[want, ]
test.env <- swappH[want]


###################################################
### chunk number 37: testset_boot
###################################################
#line 525 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
train.mat <- mat(train, train.env, method = "SQchord")
test.boot <- bootstrap(train.mat, newdata = test, 
                       newenv = test.env, n.boot = 100)
test.boot


###################################################
### chunk number 38: 
###################################################
#line 538 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
set.seed(9876)
want <- sample(nrow(test), 40)
opti <- test[-want, ]
opti.env <- test.env[-want]
test <- test[want, ]
test.env <- test.env[want]


###################################################
### chunk number 39: opti
###################################################
#line 550 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
opti.boot <- bootstrap(train.mat, newdata = opti, newenv = opti.env, n.boot = 100)
opti.boot


###################################################
### chunk number 40: 
###################################################
#line 557 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
use.k <- getK(opti.boot, prediction = TRUE, which = "model")
test.boot <- bootstrap(train.mat, newdata = test, newenv = test.env, k = use.k, n.boot = 100)
test.boot


###################################################
### chunk number 41: subsetting
###################################################
#line 574 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
dat <- join(swapdiat, rlgh, split = FALSE)
max.abb <- apply(dat, 2, max)
n.occ <- colSums(dat > 0)
spp.want <- which(max.abb >= 0.02 & n.occ >= 5)
swapdiat2 <- swapdiat[, spp.want]
rlgh2 <- rlgh[, spp.want]


###################################################
### chunk number 42: mat_inferred
###################################################
#line 590 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
plot(swap.mat, which = 1)


###################################################
### chunk number 43: 
###################################################
#line 597 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
#line 590 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw#from line#597#"
plot(swap.mat, which = 1)
#line 598 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"


###################################################
### chunk number 44: mat_resid
###################################################
#line 608 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
plot(swap.mat, which = 2)


###################################################
### chunk number 45: 
###################################################
#line 615 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
#line 608 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw#from line#615#"
plot(swap.mat, which = 2)
#line 616 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"


###################################################
### chunk number 46: scree
###################################################
#line 626 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
screeplot(swap.boot)


###################################################
### chunk number 47: 
###################################################
#line 633 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"
#line 626 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw#from line#633#"
screeplot(swap.boot)
#line 634 "d:/Rcompile/CRANpkg/local/2.12/analogue/inst/doc/analogue_methods.Rnw"


